#include "common.h"
#include "irdeto.h"


char   *data_dir= NULL;    /* data directory */
char   *log_dir=NULL;      /* log files directory */
int  auto_save=0, auto_check=0;

short c_system = Sys_Irdeto; /* current system */

cs * curr_CS = NULL;            /* pointer to current system data */

cs theCS[Sys_Systems] = {
  {"Eurocrypt", {10472,8,PAR_ODD,1,BYTE_INVERSE}, 1, NULL, IrdetoATR, 11,
   NULL,  {0x1,NULL,NULL,To_stdout}, {0x1,NULL,NULL,To_stdout}, NULL  },
  {"Viaccess", {9600,8,PAR_ODD,1,BYTE_INVERSE}, 1, NULL, IrdetoATR,12,
   NULL, {0x1,NULL,NULL,To_stdout}, {0x1,NULL,NULL,To_stdout}, NULL  }, 
   {"Conax", {9600,8,PAR_EVEN,1,BYTE_DIRECT}, 1, NULL, IrdetoATR, 7, NULL,
   {0x1,NULL,NULL,To_stdout}, {0x1,NULL,NULL,To_stdout}, NULL  }, 
  {"Seca",  {9600,8,PAR_EVEN,1,BYTE_DIRECT}, 1, NULL, IrdetoATR, 16,  NULL,
   {0x1,NULL,NULL,To_stdout} , {0x1,NULL,NULL, To_stdout}, NULL }, 
  {"Irdeto", {9600,8,PAR_EVEN,1,BYTE_DIRECT}, 1, NULL, IrdetoATR, 20, NULL,
   {0x1,NULL,NULL,To_stdout} , {0x1,NULL,NULL, To_stdout}, NULL },
  {"Videoguard", {115200,8,PAR_ODD,1,BYTE_INVERSE}, 1, NULL, IrdetoATR, 20, NULL,
   {0x1,NULL,NULL,To_stdout} , {0x1,NULL,NULL, To_stdout}, NULL },
  {"Eurocrypt-S", {10472,8,PAR_EVEN,1,BYTE_DIRECT}, 1, NULL, IrdetoATR, 9, NULL,
   {0x1,NULL,NULL,To_stdout} , {0x1,NULL,NULL, To_stdout}, NULL }
};

char *SYS_text_abrv[]= {
  "d2mac", "viaccess", "conax", "seca", "irdeto", "vguard", "ecs",
  "beta","nagra","tps" "", "" , "",  "" }; 

char *SYS_text_long[]= {
  "EuroCrypt/D2Mac", "Viaccess", "Conax", "Seca/Mediaguard", "Irdeto",
  "Videoguard", "Eurocrypt-S","BetaCrypt","Nagravision","TPSCrypt",
  "", "" , "",  "" };

filters *updfilter[Sys_ExtraSystems];
