#ifndef CONFIG_H
#define CONFIG_H
/* config.h    functions to read config.dat
    Copyright (C) 2000 The Linux Card Emulator Team

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    http://www.fsf.org/
*/

#include <stdio.h>
#include "common.h"
#include "debug.h"


void initConfig_all(cs *csConfig) ;
void build_ATR(cs *currCS, int c_sys, int deb_sys) ;
int readConfig(char *file, int *defaultmode, cs *, int csSize);

void read_addfilter(char *val, short sys, byte flags) ;

logmasktp *find_logmask(logmasktp **lm, u8 *ins) ;
/*char * logmask_debug_string(logmasktp *lm) ;*/


#endif




